commit: 5c2bc2db146dabc21b4fff2739697f3c6fac1f17
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 18 16:40:45 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jan 18 17:18:30 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c2bc2db
dev-python/lit: Include 11.* ebuilds for master
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/lit/lit-11.0.0.9999.ebuild | 33 +++++++++++++++++++++++++++++++++
1 file changed, 33 insertions(+)
diff --git a/dev-python/lit/lit-11.0.0.9999.ebuild
b/dev-python/lit/lit-11.0.0.9999.ebuild
new file mode 100644
index 00000000000..4996ccd73ba
--- /dev/null
+++ b/dev-python/lit/lit-11.0.0.9999.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7} )
+inherit distutils-r1 llvm.org multiprocessing
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ sys-devel/llvm )"
+
+# TODO: move the manpage generation here (from sys-devel/llvm)
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ ./lit.py -j "${LIT_JOBS:-$(makeopts_jobs "${MAKEOPTS}"
"$(get_nproc)")}" \
+ -vv tests || die
+}